Get a public IP address by ID
Authentication
X-API-Client-IDstring
API Client ID
X-API-Client-Secretstring
API Client Secret
Path parameters
id
ID of the public IP address
Response
The public IP address details
id
Unique identifier for the public IP address.
ipAddress
The public IPv4 address.
networkId
Identifier of the network the IP is associated with.
status
Current lifecycle state of the IP address.
region
Region the IP is allocated in.
isSourceNat
Whether this IP is used as the source NAT for its network.
vmId
Identifier of the VM the IP is assigned to via static NAT.
vmName
Name of the VM the IP is assigned to via static NAT.
createdAt
When the IP was allocated.
isStaticNat
Whether this IP is configured as a static NAT.
hasFirewallRules
Whether any firewall rules currently reference this IP.
vpcId
Identifier of the VPC the IP is associated with, when applicable.
vpcName
Name of the VPC the IP is associated with, when applicable.
associatedNetworkId
Identifier of the network tier the IP is attached to inside the parent VPC.
associatedNetworkName
Name of the network tier the IP is attached to inside the parent VPC.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error